import Vue from 'vue'

import 'normalize.css/normalize.css'

import ElementUI from 'element-ui'
import '@/styles/element-variables.scss'

import '@/styles/index.scss'

import App from './App'
import store from './store'
import router from './router'

import '@/permission'
import '@/icons'

import perms from '@/directive/permission'

import { getDicts } from '@/api/system/dict'
import { getConfigKey } from '@/api/system/config'

// 全局方法挂载
Vue.prototype.getDicts = getDicts
Vue.prototype.getConfigKey = getConfigKey

Vue.use(ElementUI)

Vue.use(perms)

Vue.config.productionTip = false

new Vue({
  router,
  store,
  render: h => h(App)
}).$mount('#app')
